<?php
/**
 *
 * Plugin Name: Order Status History for WooCommerce
 * Plugin URI:  https://wordpress.org/plugins/order-status-history-for-woocommerce
 * Description: WooCommerce plugin for Order Status History and Reports 
 * Version:     1.6.1
 * Author:      alx359
 * Text Domain: oshwoo
 * Domain Path: /i18n/languages
 *
 * WC requires at least: 3.2
 * WC tested up to: 5.5.1
 *
 * This file is part of Order Status History for WooCommerce,
 * a plugin for WordPress.
 *
 * Order Status History for WooCommerce is free software:
 * You can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option)
 * any later version.
 *
 * Order Status History for WooCommerce is distributed in the hope that
 * it will be useful, but WITHOUT ANY WARRANTY; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 * PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with WordPress. If not, see <http://www.gnu.org/licenses/>.
 *
 */
namespace oshwoo;

# no direct page access
defined( 'ABSPATH' ) || exit;

# load main class
define( __NAMESPACE__ .'\FILE', __FILE__ );
  include_once plugin_dir_path( __FILE__ ) . 'includes/class_osh.php';

# instantiate class only with WooC 
add_action( 'plugins_loaded', function() {
    if( !class_exists('WooCommerce') ) {
        add_action( 'admin_notices', function() {
            echo '<div class="error"><p>';
            echo sprintf( __('<b>%s</b> requires of <b>WooCommerce</b> installed and active in order to operate.', __NAMESPACE__), 
                 get_plugin_data( namespace\FILE )['Name'] );
            echo '</p></div>' . PHP_EOL;
        });
    }
    # late plugin load
    else osh();
});
